import { Service, TransformOptions } from 'esbuild';
import { Except } from 'type-fest';
import webpack from 'webpack';
declare type Compiler = webpack.Compiler & {
    $esbuildService?: Service;
};
declare type Filter = string | RegExp;
declare type FilterObject = {
    include?: Filter | Filter[];
    exclude?: Filter | Filter[];
};
declare type LoaderOptions = Except<TransformOptions, 'sourcemap' | 'sourcefile'>;
declare type MinifyPluginOptions = Except<TransformOptions, 'sourcefile'> & FilterObject;
export { Compiler, LoaderOptions, MinifyPluginOptions, };
